Maven: annotations are not supported in –source 1.3 (use –source 5 or higher to enable annotations)

Anotações foram inseridas na plataforma Java na versão 5. O problema “annotations are not supported in –source 1.3 (use –source 5 or higher to enable annotations)” acontece quando o Maven tenta usar uma versão anterior a JDK 5 para construir e empacotar.

A solução é configurar o Maven de forma que ele use a JDK 5 ou superior. Este exemplo utiliza a JDK 6: